%global srcname jwt
%bcond_without tests
Name:               python-jwt
Version:            2.3.0
Release:            4
Summary:            JSON Web Token implementation in Python
License:            MIT
URL:                https://github.com/jpadilla/pyjwt
Source0:            https://files.pythonhosted.org/packages/source/P/PyJWT/PyJWT-%{version}.tar.gz
BuildArch:          noarch

Patch6000:          backport-CVE-2022-29217.patch
Patch6001:          backport-fix-failing-advisory-test.patch
Patch6002:          backport-chore-fix-lint-errors.patch

%if %{with tests}
BuildRequires:      python3-pytest python3-pytest-cov python3-pytest-runner
%endif
BuildRequires:      python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-cryptography
%global _description \
PyJWT is a Python library which allows you to encode and decode JSON Web Tokens (JWT). \
JWT is an open, industry-standard (RFC 7519) for representing claims securely between two parties.

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-cryptography
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

%package_help

%prep
%autosetup -n PyJWT-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} -m pytest
%endif

%files -n python%{python3_pkgversion}-jwt
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/*.egg-info
#%{_bindir}/pyjwt

%files help
%doc README.rst

%changelog
* Mon Jul 18 2022 yanglongkang <yanglongkang@h-partners.com> - 2.3.0-4
- fix failing advisory test and fix lint errors

* Thu Jun 09 2022 shixuantong <shixuantong@h-partners.com> - 2.3.0-3
- fix CVE-2022-29217

* Tue Jun 07 2022 shixuantong <shixuantong@h-partners.com> - 2.3.0-2
- enable check

* Wed Nov 24 2021 liudabo <liudabo1@huawei.com> - 2.3.0-1
- upgrade version to 2.3.0

* Tue Jul 13 2021 huangtianhua <huangtianhua@huawei.com> - 2.0.1-1
- Upgrade to 2.0.1 to support OpenStack-W

* Tue Feb 02 2021 shixuantong <shixuantong@huawei.com> - 2.0.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade version to 2.0.0

* Fri Oct 30 2020 wuchaochao <wuchaochao4@huawei.com> - 1.7.1-3t
- Type:bufixt
- CVE:NAt
- SUG:NAt
- DESC:remove python2

* Fri Oct 11 2019 yefei <yefei25@huawei.com> - 1.7.1-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move author from doc to license

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.7.1-1
- Package init
